package com.zjrs.ggfw.xcx.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@TableName("GCJ02_DATA")
@ApiModel(value="火星坐标系数据存储对象", description="火星坐标系临时数据存储对象")
public class Gcj02Data {
	
	@ApiModelProperty(value = "火星坐标系数据存储流水号")
    @TableId(value = "GCJ02_DATA_LSH", type = IdType.ASSIGN_UUID)
    private String gcj02DataLsh;

    @ApiModelProperty(value = "目标地名称")
    @TableField("NAME")
    private String name;
    
    @ApiModelProperty(value = "目标地地址")
    @TableField("ADDRESS")
    private String address;
    
    @ApiModelProperty(value = "目标地经度")
    @TableField("LONGITUDE")
    private Double longitude;
    
    @ApiModelProperty(value = "目标地纬度")
    @TableField("LATITUDE")
    private Double latitude;
    
    @ApiModelProperty(value = "固化时间")
    @TableField("GHSJ")
    private String ghsj;

	public String getGcj02DataLsh() {
		return gcj02DataLsh;
	}

	public void setGcj02DataLsh(String gcj02DataLsh) {
		this.gcj02DataLsh = gcj02DataLsh;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public Double getLongitude() {
		return longitude;
	}

	public void setLongitude(Double longitude) {
		this.longitude = longitude;
	}

	public Double getLatitude() {
		return latitude;
	}

	public void setLatitude(Double latitude) {
		this.latitude = latitude;
	}

	public String getGhsj() {
		return ghsj;
	}

	public void setGhsj(String ghsj) {
		this.ghsj = ghsj;
	}
}